import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
interface IMenuItemProps {
    startImg?: React.ReactNode;
    endImg?: React.ReactNode;
    text?: string;
    size?: sizeType;
    active?: boolean;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    modeProp?: modeType;
    color?: 'shadow' | 'default';
}
export declare type IMenuItem = IMenuItemProps & Omit<ComponentProps<'div'>, keyof IMenuItemProps>;
declare const MenuItem: React.FC<IMenuItem>;
export default MenuItem;
